This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 918876 - (CVE-2013-0787) CVE-2013-0787 Mozilla: Use-after-free in HTML Editor (MFSA 2013-29)
CVE-2013-0787 Mozilla: Use-after-free in HTML Editor (MFSA 2013-29)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20130308,repor...
: Security
Depends On:
Blocks: 918846
  Show dependency treegraph
 
Reported: 2013-03-07 02:04 EST by Huzaifa S. Sidhpurwala
Modified: 2014-08-29 12:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-11 17:03:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2013-03-07 02:04:40 EST
VUPEN Security, via TippingPoint's Zero Day Initiative, reported a use-after-free within the HTML editor when content script is run by the document.execCommand() function while internal editor operations are occurring. This could allow for arbitrary code execution.

External Reference:

http://www.mozilla.org/security/announce/2013/mfsa2013-29.html


Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges VUPEN Security via the TippingPoint Zero Day Initiative project as the original reporter.
Comment 1 errata-xmlrpc 2013-03-08 07:24:31 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:0614 https://rhn.redhat.com/errata/RHSA-2013-0614.html
Comment 2 errata-xmlrpc 2013-03-11 15:18:33 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:0627 https://rhn.redhat.com/errata/RHSA-2013-0627.html

Note You need to log in before you can comment on or make changes to this bug.